Đến nội dung


Hình ảnh

Mẹo sử dụng AutoCAD


  • Please log in to reply
384 replies to this topic

#221 xedaptan

xedaptan

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 08 July 2009 - 01:16 PM

Mặc định của cad:
kt đường thẳng : DLI
kt đường xiên : DAL
kt bán kính : DRA
kt góc : DAN

Cụ thể hơn là.
Dim line hay gig gì khác thì lệnh tắt của cad là D+2 chữ cái đầu của kiểu dim.
VD:
đường thẳng : DLI
đường xiên : DAL
bán kính : DRA
góc : DAN
cong arc :dar
  • 0

#222 daik50

daik50

    biết vẽ point

  • Members
  • PipPip
  • 96 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 03 August 2009 - 09:08 AM

Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.


Em chào bác Hoành, em cũng bít đôi chút về cad nhung cái món mẹo vặt này thì em chưa biết chút nào. EM đọc bài của bác rất hay nhưng có điều em lam như Bác hướng dẫn nhưng không được. Bác có thể nói rõ cho em thêm cái phần "chọn đối tượng ở phía dưới đối tượng khác" được không Bác. Tức là em nhấn ctr, pick vào đối tượng nhưng không chọn được đối tượng như bác nói.
Em cảm ơn Bác trước nhá.
  • 0

#223 luan00

luan00

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 August 2009 - 12:00 AM

cho em hỏi cách vẽ tường trong bản vẽ kiến trúc. cách nao nhanh va hiệu quả.ma vì sao khi v tuong nhat quyet phai dung polyline.em ko hiểu
  • 0

#224 retun

retun

    biết lệnh array

  • Members
  • PipPipPip
  • 186 Bài viết
Điểm đánh giá: 46 (tàm tạm)

Đã gửi 07 August 2009 - 12:51 AM

chắc anh cũng mới biết vẽ cad chưa lâu đúng không ạ, em hỏi thế ví có 101 cách vẽ một đoạn tường ,nhưng ở cad để vễ hai nết tường anh cũng chỉ cần vẽ hai đường song song thì tội gì không dùng luôn pline dặt with hoặc haftwith để có được đọ dày của tường , mặt khác ai có chuyển wa max dựng tường cũng biết dùng pline khi sang max đỡ phải bo mệt,còn riêng em dùng REVIT chỉ dùng một lệnh WALL để vẽ cả một bức tuờng dủ cả cấu tạo lấn ảnh raster , có luôn các thuộc tính , vật liệu làm tường , lớp trát. chiều dài , chiều rộng , thể tích , mark vật liệu làm tường , sơ bộ tính ra xây bức tường đó mất bao nhiêu viên gạch , bao nhiêu vữa mà chẳng cần xuất sang phần mền nào cả!em nói vậy cho anh biết thôi chứ anh cứ cố lên anh ạ , ở diễn đàn moin người không pahỉ ai cũng như ai, có người biết rồi , có người chưa biết, đó là chuyện đương nhiên , nhưng em nghĩ vấn đề mà anh hỏi nó thuộc về kĩ năng xử lý vấn đề thôi, lệnh thì ai cũng được học có chừng ấy , biết thêm tý thôi, chứ còn đâu phải vễ nhiều, sai nhiều mới nhận ra đâu nó là của mình anh ạ !THÂN :bigsmile:
  • 0

#225 luan00

luan00

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 August 2009 - 10:48 AM

chắc anh cũng mới biết vẽ cad chưa lâu đúng không ạ, em hỏi thế ví có 101 cách vẽ một đoạn tường ,nhưng ở cad để vễ hai nết tường anh cũng chỉ cần vẽ hai đường song song thì tội gì không dùng luôn pline dặt with hoặc haftwith để có được đọ dày của tường , mặt khác ai có chuyển wa max dựng tường cũng biết dùng pline khi sang max đỡ phải bo mệt,còn riêng em dùng REVIT chỉ dùng một lệnh WALL để vẽ cả một bức tuờng dủ cả cấu tạo lấn ảnh raster , có luôn các thuộc tính , vật liệu làm tường , lớp trát. chiều dài , chiều rộng , thể tích , mark vật liệu làm tường , sơ bộ tính ra xây bức tường đó mất bao nhiêu viên gạch , bao nhiêu vữa mà chẳng cần xuất sang phần mền nào cả!em nói vậy cho anh biết thôi chứ anh cứ cố lên anh ạ , ở diễn đàn moin người không pahỉ ai cũng như ai, có người biết rồi , có người chưa biết, đó là chuyện đương nhiên , nhưng em nghĩ vấn đề mà anh hỏi nó thuộc về kĩ năng xử lý vấn đề thôi, lệnh thì ai cũng được học có chừng ấy , biết thêm tý thôi, chứ còn đâu phải vễ nhiều, sai nhiều mới nhận ra đâu nó là của mình anh ạ !THÂN :bigsmile:

Nhưng ma` co nhiều đoạn tường lồi lõm khác nhau.onhững đoạn như thế thì phải vẽ từ từ thui hả
  • 0

#226 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 07 August 2009 - 11:15 AM

cho em hỏi cách vẽ tường trong bản vẽ kiến trúc. cách nao nhanh va hiệu quả.ma vì sao khi v tuong nhat quyet phai dung polyline.em ko hiểu


Tuỳ từng lúc mà có những cách vẽ khác nhau bạn àh

nếu làm ý để or đi bảo vệ lần 1 tôi thường dùng pl 220

nếu bản vẽ thiế kế 2 bước tôi thường dùng ml 220

Còn với bản vẽ 1 bước thì dùng pl 1
  • 0

#227 buiminhnhat

buiminhnhat

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 12 August 2009 - 05:16 PM

Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

Chắc các bạn cũng đã biết nhưng mình cũng muốn đóng góp 1 tí:Khi bạn dùng lệnh TRIM,bạn muốn xóa nhanh cái đường nào đó thì bạn chỉ cần pick enter(space)2 lần,chọn đường cần xóa là xóa được liền,ko cần phải chọn đường bao khi trim.
Bạn muốn kéo dài 1 đường thẳng đến 1 đường nào đó,bạn chỉ cần enter(space)2 lần sau khi dùng lệnh EX,kích vào đường thẳng bạn muốn kéo ra,nó sẽ tự nối 1 đường nào đó gần nhất.
  • 0

#228 k_malau

k_malau

    biết vẽ pline

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 August 2009 - 10:58 AM

Các bác chỉ giúp em cách ghi số mũ trong Acad 2007
  • 0

#229 svba1608

svba1608

    Tưởng Thị Tú Khuyên

  • Moderator
  • PipPipPipPipPipPipPip
  • 601 Bài viết
Điểm đánh giá: 620 (tốt)

Đã gửi 14 August 2009 - 01:22 PM

Các bác chỉ giúp em cách ghi số mũ trong Acad 2007

Đây có phải điều bạn muốn tìm?
  • 2
http://khuyen.space

#230 vostro 1500

vostro 1500

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 14 August 2009 - 01:30 PM

bình phương : %%178
Lập phương : %%179
Bác Tue NV hướng dẫn.
  • 0

#231 dangbaoduy1982

dangbaoduy1982

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 17 August 2009 - 07:05 PM

Có bác nào biết cách đổi hướng của 1 đường "Line" hoặc đường "Pline" chỉ cho e với.


Lisp đảo ngược đỉnh đường Pline:
;Dao nguoc duong polyline
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:DGT( / plent)
(setq plent (car(entsel"\nChon duong polyline can dao dinh : ")))
(reverse_pl plent)
(princ)
)

(defun rmv_e (e lst )
(if (member e lst)
(progn
(cdr(member e lst));danh sach phia sau
(reverse(cdr(member e (reverse lst))))
(append (reverse(cdr(member e (reverse lst)))) (cdr(member e lst)))
)
nil
)
)

(defun rpl (pos new lst / hdlst ltlst len count)
(setq len (length lst) count 0)
(repeat (- pos 1)
(setq hdlst (append hdlst (list (nth count lst))));danh sach dau khong bao gom ptu thay the
(setq count (+ 1 count))
)
(while (< count len)
(setq ltlst (append ltlst (list (nth count lst))))
(setq count (+ 1 count))
)
(setq hdlst (append hdlst (list new)))
(setq ltlst (cdr ltlst))
(append hdlst ltlst)
)

(defun plvexs (ent full / lst elm vexlst)
(setq lst (member (assoc 10 (entget ent)) (entget ent))) ;Danh sach toa do co header 10 tro ve sau
(setq lst (rmv_e (assoc 210 lst) lst)) ;Loai bo ma dxf 210
(foreach elm lst
(if (= (car elm) 10)
(setq elm (cdr elm) vexlst (append vexlst (list elm)))
)
)
(if (= full 0) vexlst lst)
)

(defun reverse_pl (ent / blglst lst hdlst rvslst swaplst prvlst elm len rp count)
(setq lst (entget ent)) ;record pl
(setq vexlst (plvexs ent 1)) ;ds cac dinh bao gom ma dxf 40,41,42
(setq len (length (plvexs ent 1)))
(setq rp (/ len 4) count 0) ;so dinh
(repeat rp
(setq blglst (cons 42 (- (cdr(nth (+ count 3)vexlst))))) ;doi dau do phinh co ma dxf 42
(setq rvslst (append (list (nth count vexlst)(nth (+ count 1)vexlst) ;danh sach cac dinh dao nguoc
(nth (+ count 2)vexlst) blglst) rvslst)
)
(setq count (+ 4 count));tang len vi tri diem ke tiep
)
(setq count 7);bat dau tu vi tri do phinh thu hai co ma dxf 42 cua dsach rvslst
(while (< count (length rvslst)) ;khong phai la ma 42 dau tien va chua den cuoi dsach
(setq swaplst (nth count rvslst)) ;lay ra danh sach con chua ma dxf 42
(setq rvslst (rpl (+(- count 4)1) swaplst rvslst)); thay the ds con tai vi tri count-4
(setq count (+ count 4)) ; vi tri danh sach chua ma dxf 42 ke tiep
)
(setq rvslst (rpl (+(- count 4)1) (cons 42 0.0) rvslst)) ;thay gia tri danh sach con dxf 42 cua dinh cuoi cung pline

(setq count 0);bat dau tu phan tu thu nhat trong danh sach lst
(while (/= 10 (car (nth count lst))) ;duyen record khi chua den toa do diem dxf 10
(setq hdlst (append hdlst (list (nth count lst))))
(setq count (+ count 1))
)

(setq lst (append hdlst rvslst)) ; tao lai record co dinh dao nguoc.
(entmod lst); cap nhat record polyline
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  • 0

#232 zuitithoi

zuitithoi

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 August 2009 - 09:05 PM

Em chào bác Hoành, em cũng bít đôi chút về cad nhung cái món mẹo vặt này thì em chưa biết chút nào. EM đọc bài của bác rất hay nhưng có điều em lam như Bác hướng dẫn nhưng không được. Bác có thể nói rõ cho em thêm cái phần "chọn đối tượng ở phía dưới đối tượng khác" được không Bác. Tức là em nhấn ctr, pick vào đối tượng nhưng không chọn được đối tượng như bác nói.
Em cảm ơn Bác trước nhá.

voi cad 2008 thì để chọn đối tượng nằm dưới đối tượng khác bạn giữ đồng thời 2 phím :SHIFT + SPACE rồi kích chuột trái vào đối tượng đến khi chọn được đối tượng cần chọn
  • 0

#233 the big boss

the big boss

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 August 2009 - 09:21 PM

cái Snap em có ý thế này hay hơn, mà em cũng đang dùng rất hiệu quả . lúc đang chọn giữa một đống như thế, không cần zoom lại, cũng không cấn ấn phím tab không biết bao giờ mới đến được điểm ưng ỵ Thử ấn ship và chuột phải đồng thời, xong ấn phím tắt của loại bắt điểm đó . VD tâm đường tròn là "C" , điểm cuối là "E" , điểm giữa là "M" ... các bác nghịch thêm nhé


Vô tình em làm theo hướng dẫn của anh thì phát hiện ra một điều với em là rất thú vị . khi ta đang vẽ một line mà cần chọn chế độ "ortho" thì chỉ cần nhấn chặt phím "shift" thôi ,khi nhả phím "shift" ra thì chế độ "ortho"cũng ngưng luôn .
Chẳng biết các anh biết chưa ,hay đã có ai đăng bài này chưa nữa .
Nếu có đụng hàng mong các anh thông cảm !
em mới học cad nên topic này thật hữu dụng
thank các anh !
  • 1

#234 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 20 August 2009 - 10:46 PM

cái Snap em có ý thế này hay hơn, mà em cũng đang dùng rất hiệu quả . lúc đang chọn giữa một đống như thế, không cần zoom lại, cũng không cấn ấn phím tab không biết bao giờ mới đến được điểm ưng ỵ Thử ấn ship và chuột phải đồng thời, xong ấn phím tắt của loại bắt điểm đó . VD tâm đường tròn là "C" , điểm cuối là "E" , điểm giữa là "M" ... các bác nghịch thêm nhé
Vô tình em làm theo hướng dẫn của anh thì phát hiện ra một điều với em là rất thú vị . khi ta đang vẽ một line mà cần chọn chế độ "ortho" thì chỉ cần nhấn chặt phím "shift" thôi ,khi nhả phím "shift" ra thì chế độ "ortho"cũng ngưng luôn .
Chẳng biết các anh biết chưa ,hay đã có ai đăng bài này chưa nữa .
Nếu có đụng hàng mong các anh thông cảm !
em mới học cad nên topic này thật hữu dụng
thank các anh !



Đụng quá còn gì nữa!
Nhưng tui rất hoan nghênh tinh thần học hỏi và chia sẻ của bạn
  • 0

#235 long1608

long1608

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 October 2009 - 03:30 AM

Khi bạn thay đổi xong, bạn phải save rồi thoát khỏi cad, sau đó vào lại mới được
Tốt nhất bạn nên cpoy ra, đừng thay thế hẳn

Khi bạn thay đổi xong vao Cad gõ lệnh Reinit tích chọn PGP File thì đổi lệnh sẽ có hiệu lực
  • 0

#236 DAM.MAI

DAM.MAI

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 October 2009 - 10:51 AM

Mình đã thử dùng lệnh mtp và m2p của bạn để tìm điểm giữa của 2 điểm khác nhưng không được, mình đang dung cad 2007 và mới ra trường, đang muốn trau dồi thêm kỹ năng để làm việc. Bạn chỉ thêm cho mình nha.
  • 0

#237 DAM.MAI

DAM.MAI

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 October 2009 - 10:53 AM

Mình đã thử dùng lệnh mtp và m2p của bạn để tìm điểm giữa của 2 điểm khác nhưng không được, mình đang dung cad 2007 và mới ra trường, đang muốn trau dồi thêm kỹ năng để làm việc. Bạn chỉ thêm cho mình nha.
  • 0

#238 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 16 October 2009 - 11:08 AM

Mình đã thử dùng lệnh mtp và m2p của bạn để tìm điểm giữa của 2 điểm khác nhưng không được, mình đang dung cad 2007 và mới ra trường, đang muốn trau dồi thêm kỹ năng để làm việc. Bạn chỉ thêm cho mình nha.

Trước khi dùng lệnh mtp và m2p thì bạn phải thực hiện lệnh copy trước (VD: copy -> chon đối tượng -> Enter -> m2p -> chọn điểm đầu và cuối của đối tượng là OK)
  • 0
-~-~-~-~-~-~-~-~-~-~-~-~-~-~
Hôm qua là sự học hỏi nhận được sau 1 ngày
Ngày mai là sự bí ẩn mà chúng ta sẽ khám phá


------------------------------------------
http://www.tailieukythuat.com

#239 DAM.MAI

DAM.MAI

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 October 2009 - 02:10 PM

Trước khi dùng lệnh mtp và m2p thì bạn phải thực hiện lệnh copy trước (VD: copy -> chon đối tượng -> Enter -> m2p -> chọn điểm đầu và cuối của đối tượng là OK)

mình làm đuợc rồi.cảm on bạn nhiều nha. :bigsmile:
  • 0

#240 nguyentranthang

nguyentranthang

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 October 2009 - 03:22 PM

cho em hỏi cái
em muốn chia một đoạn thẳng thành 2 đoạn mà điểm chia là điểm cắt với đoạn thẳng khác thì làm thế nào?
Thanks a trước
  • 0